import ca.javajeff.audio.Audio;

public final class UseAudio
{
   public static void main(String[] args)
   {
      if (args.length != 1)
      {
         System.err.println("usage: java UseAudio filename");
         return;
      }

      Audio audio = Audio.newAudio(args[0]);
      if (audio == null)
      {
         System.err.println("unsupported audio format");
         return;
      }
      System.out.println("Samples");
      for (int i = 0; i < audio.getSamples().length; i++)
         System.out.print(audio.getSamples()[i] + " ");
      System.out.println();
      System.out.println("Sample Rate: " + audio.getSampleRate());
   }
}